package com.goafanti.portal.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class DemandOrderListBasicBo {
	private String	id;

	private Integer	serialNumber;

	private String	demandId;

	private Date	createTime;

	private Integer	status;

	private Integer	intentionMoney;

	private Integer	contractMoney;

	private Integer	commission;

	private Integer	serviceMoney;

	private Integer	refund;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getDemandId() {
		return demandId;
	}

	public void setDemandId(String demandId) {
		this.demandId = demandId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getIntentionMoney() {
		return intentionMoney;
	}

	public void setIntentionMoney(Integer intentionMoney) {
		this.intentionMoney = intentionMoney;
	}

	public Integer getContractMoney() {
		return contractMoney;
	}

	public void setContractMoney(Integer contractMoney) {
		this.contractMoney = contractMoney;
	}

	public Integer getCommission() {
		return commission;
	}

	public void setCommission(Integer commission) {
		this.commission = commission;
	}

	public Integer getServiceMoney() {
		return serviceMoney;
	}

	public void setServiceMoney(Integer serviceMoney) {
		this.serviceMoney = serviceMoney;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getRefund() {
		return refund;
	}

	public void setRefund(Integer refund) {
		this.refund = refund;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}
}
